import request from '@/utils/request'

// 查询毒力基因耐药药品、敏感药品管理列表
export function listDljy(query) {
  return request({
    url: '/data/dljy/list',
    method: 'get',
    params: query
  })
}

// 查询毒力基因耐药药品、敏感药品管理详细
export function getDljy(id) {
  return request({
    url: '/data/dljy/' + id,
    method: 'get'
  })
}

// 新增毒力基因耐药药品、敏感药品管理
export function addDljy(data) {
  return request({
    url: '/data/dljy',
    method: 'post',
    data: data
  })
}

// 修改毒力基因耐药药品、敏感药品管理
export function updateDljy(data) {
  return request({
    url: '/data/dljy',
    method: 'put',
    data: data
  })
}

// 删除毒力基因耐药药品、敏感药品管理
export function delDljy(id) {
  return request({
    url: '/data/dljy/' + id,
    method: 'delete'
  })
}
